cascading.operation

## Enum DebugLevel

- java.lang.Object
- - java.lang.Enum<DebugLevel>
  - - cascading.operation.DebugLevel

- All Implemented Interfaces:
    PlannerLevel, Serializable, Comparable<DebugLevel>

      public enum DebugLevel
      extends Enum<DebugLevel>
      implements PlannerLevel

  Enum DebugLevel designates the level of a given `Debug` instance. This is used in conjunction with the `FlowConnector` to plan debug operations out of a particular `Flow` instance. Currently Debug can be denote either DEFAULT or VERBOSE. It is up to the developer to determine if a Debug operation should be at any given level.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `NONE`
    `VERBOSE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNoneLevel()` Returns true if this enum instance represents a value that instructs the `FlowPlanner` to remove all instances from the plan.
    `boolean` | `isStricterThan(PlannerLevel plannerLevel)` Returns true if the given `PlannerLevel` is less strict than this instance.
    `static DebugLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DebugLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DebugLevel NONE

    - #### DEFAULT

          public static final DebugLevel DEFAULT

    - #### VERBOSE

          public static final DebugLevel VERBOSE

  - ### Method Detail

    - #### values

          public static DebugLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DebugLevel c : DebugLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DebugLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isNoneLevel

          public boolean isNoneLevel()

      Description copied from interface: `PlannerLevel`
      Returns true if this enum instance represents a value that instructs the `FlowPlanner` to remove all instances from the plan.
      Specified by:
        `isNoneLevel` in interface `PlannerLevel`
      Returns:
        true if this represents "NONE"

    - #### isStricterThan

          public boolean isStricterThan(PlannerLevel plannerLevel)

      Description copied from interface: `PlannerLevel`
      Returns true if the given `PlannerLevel` is less strict than this instance.
      Specified by:
        `isStricterThan` in interface `PlannerLevel`
      Parameters:
        `plannerLevel` - of type PlannerLevel
      Returns:
        true if argument is less strict

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.